Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.bpmn2.xml
Class AbstractNodeHandler

    java.lang.Object
      org.drools.core.xml.BaseAbstractHandler
          org.jbpm.bpmn2.xml.AbstractNodeHandler

All Implemented Interfaces:
  org.drools.core.xml.Handler

Direct Known Subclasses:
  ActionNodeHandler, BoundaryEventHandler, BusinessRuleTaskHandler, CallActivityHandler, CatchLinkNodeHandler, ComplexGatewayHandler, CompositeContextNodeHandler, EndEventHandler, EndNodeHandler, EventBasedGatewayHandler, EventNodeHandler, ExclusiveGatewayHandler, FaultNodeHandler, ForEachNodeHandler, InclusiveGatewayHandler, IntermediateCatchEventHandler, IntermediateThrowEventHandler, JoinHandler, ParallelGatewayHandler, ScriptTaskHandler, SplitHandler, StartEventHandler, StateNodeHandler, SubProcessHandler, TaskHandler, ThrowLinkNodeHandler, TimerNodeHandler, WorkItemNodeHandler

    public abstract class AbstractNodeHandler

extends org.drools.core.xml.BaseAbstractHandler
implements org.drools.core.xml.Handler

Field Summary
`protected Map<String,String>` | `dataInputs`
`protected Map<String,String>` | `dataOutputs`
`protected static String` | `EOL`
`protected Map<String,String>` | `inputAssociation`
`protected static org.slf4j.Logger` | `logger`
`protected Map<String,String>` | `outputAssociation`

Fields inherited from class org.drools.core.xml.BaseAbstractHandler
`allowNesting, validParents, validPeers`

Constructor Summary
`AbstractNodeHandler()`

Method Summary
`protected abstract Node` | `createNode(Attributes attrs)`
`Object` | `end(String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)`
`protected void` | `endNode(StringBuilder xmlDump)`
`protected void` | `endNode(String name, StringBuilder xmlDump)`
`static DroolsAction` | `extractScript(Element xmlNode)`
`protected org.drools.core.process.core.datatype.DataType` | `getDataType(String itemSubjectRef, Map<String,ItemDefinition> itemDefinitions)`
`protected String` | `getErrorIdForErrorCode(String errorCode, Node node)`
`protected void` | `handleNode(Node node, Element element, String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)`
`protected void` | `handleScript(ExtendedNodeImpl node, Element element, String type)`
`protected void` | `initValidParents()`
`protected void` | `initValidPeers()`
`protected void` | `readDataInputAssociation(Node xmlNode, Map<String,String> forEachNodeInputAssociation)`
`protected void` | `readDataOutputAssociation(Node xmlNode, Map<String,String> forEachNodeOutputAssociation)`
`protected void` | `readIoSpecification(Node xmlNode, Map<String,String> dataInputs, Map<String,String> dataOutputs)`
`protected void` | `readMultiInstanceLoopCharacteristics(Node xmlNode, ForEachNode forEachNode, org.drools.core.xml.ExtensibleXmlParser parser)`
`Object` | `start(String uri, String localName, Attributes attrs, org.drools.core.xml.ExtensibleXmlParser parser)`
`abstract void` | `writeNode(Node node, StringBuilder xmlDump, int metaDataType)`
`protected void` | `writeNode(String name, Node node, StringBuilder xmlDump, int metaDataType)`
`static void` | `writeScript(DroolsAction action, String type, StringBuilder xmlDump)`
`protected void` | `writeScripts(ExtendedNodeImpl node, StringBuilder xmlDump)`
`protected void` | `writeScripts(String type, List<DroolsAction> actions, StringBuilder xmlDump)`

Methods inherited from class org.drools.core.xml.BaseAbstractHandler
`allowNesting, emptyAttributeCheck, emptyContentCheck, getValidParents, getValidPeers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.core.xml.Handler
`allowNesting, generateNodeFor, getValidParents, getValidPeers`

Field Detail

### logger

    protected static org.slf4j.Logger logger

### EOL

    protected static final String EOL

### dataInputs

    protected Map<String,String> dataInputs

### dataOutputs

    protected Map<String,String> dataOutputs

### inputAssociation

    protected Map<String,String> inputAssociation

### outputAssociation

    protected Map<String,String> outputAssociation

Constructor Detail

### AbstractNodeHandler

    public AbstractNodeHandler()

Method Detail

### initValidParents

    protected void initValidParents()

### initValidPeers

    protected void initValidPeers()

### start

    public Object start(String uri,
                        String localName,
                        Attributes attrs,
                        org.drools.core.xml.ExtensibleXmlParser parser)
                 throws SAXException

  Specified by:
    `start` in interface `org.drools.core.xml.Handler`
  Throws:
    `SAXException`

### createNode

    protected abstract Node createNode(Attributes attrs)

### end

    public Object end(String uri,
                      String localName,
                      org.drools.core.xml.ExtensibleXmlParser parser)
               throws SAXException

  Specified by:
    `end` in interface `org.drools.core.xml.Handler`
  Throws:
    `SAXException`

### handleNode

    protected void handleNode(Node node,
                              Element element,
                              String uri,
                              String localName,
                              org.drools.core.xml.ExtensibleXmlParser parser)
                       throws SAXException

  Throws:
    `SAXException`

### writeNode

    public abstract void writeNode(Node node,
                                   StringBuilder xmlDump,
                                   int metaDataType)

### writeNode

    protected void writeNode(String name,
                             Node node,
                             StringBuilder xmlDump,
                             int metaDataType)

### endNode

    protected void endNode(StringBuilder xmlDump)

### endNode

    protected void endNode(String name,
                           StringBuilder xmlDump)

### handleScript

    protected void handleScript(ExtendedNodeImpl node,
                                Element element,
                                String type)

### extractScript

    public static DroolsAction extractScript(Element xmlNode)

### writeScripts

    protected void writeScripts(ExtendedNodeImpl node,
                                StringBuilder xmlDump)

### writeScripts

    protected void writeScripts(String type,
                                List<DroolsAction> actions,
                                StringBuilder xmlDump)

### writeScript

    public static void writeScript(DroolsAction action,
                                   String type,
                                   StringBuilder xmlDump)

### readIoSpecification

    protected void readIoSpecification(Node xmlNode,
                                       Map<String,String> dataInputs,
                                       Map<String,String> dataOutputs)

### readDataInputAssociation

    protected void readDataInputAssociation(Node xmlNode,
                                            Map<String,String> forEachNodeInputAssociation)

### readDataOutputAssociation

    protected void readDataOutputAssociation(Node xmlNode,
                                             Map<String,String> forEachNodeOutputAssociation)

### readMultiInstanceLoopCharacteristics

    protected void readMultiInstanceLoopCharacteristics(Node xmlNode,
                                                        ForEachNode forEachNode,
                                                        org.drools.core.xml.ExtensibleXmlParser parser)

### getDataType

    protected org.drools.core.process.core.datatype.DataType getDataType(String itemSubjectRef,
                                                                         Map<String,ItemDefinition> itemDefinitions)

### getErrorIdForErrorCode

    protected String getErrorIdForErrorCode(String errorCode,
                                            Node node)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.